Bug 167996 - Install findlib META file
Summary: Install findlib META file
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lablgtk   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-10 06:28 UTC by Chong Kai Xiong
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-11 01:16:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Version patch for META (209 bytes, patch)
2005-09-10 06:28 UTC, Chong Kai Xiong
no flags Details | Diff
Patch for .spec file. (1.07 KB, patch)
2005-09-10 06:33 UTC, Chong Kai Xiong
no flags Details | Diff

Description Chong Kai Xiong 2005-09-10 06:28:09 UTC
Description of problem:
The META file for findlib is not included in the installation. Additionally it
is also outdated.

Version-Release number of selected component (if applicable):
2.4.0-5

How reproducible:
Always.

Comment 1 Chong Kai Xiong 2005-09-10 06:28:09 UTC
Created attachment 118675 [details]
Version patch for META

Comment 2 Chong Kai Xiong 2005-09-10 06:33:21 UTC
Created attachment 118676 [details]
Patch for .spec file.

This patch does 2 things:
a. Fixes the version information in the META file (see the attachment before
this one)
b. Install META

Comment 3 Gérard Milmeister 2005-09-10 19:17:50 UTC
I must admit, that this is the first time I heard of findlib, so I made
a little research myself. One problem is that the author of lablgtk doesn't
seem to care that much about META. However, since the patch is small I think
I will include it into the spec file directly. I had trouble to download
your patch since it was gzipped and the browser insisted in showing it
in the window :-( You don't need to zip it.


Comment 4 Gérard Milmeister 2005-09-11 01:16:25 UTC
Rebuild with META

Comment 5 Chong Kai Xiong 2005-09-11 01:57:39 UTC
Yeah, it's a pity. The META file hardly takes work to maintain and it makes
writing build scripts a lot easier since findlib provides a uniform interface to
query package information. 

I've submitted a review request (#166919) for my findlib package here some weeks
ago and still haven't got a response =/



Note You need to log in before you can comment on or make changes to this bug.